Package org.eclipse.jdt.launching

# Interface IJavaLaunchConfigurationConstants

public interface IJavaLaunchConfigurationConstants
Constant definitions for Java launch configurations.

Constant definitions only

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTR_ALLOW_TERMINATE`
Launch configuration attribute key.
`static final String`
`ATTR_APPLET_APPLETVIEWER_CLASS`
Launch configuration attribute key.
`static final String`
`ATTR_APPLET_HEIGHT`
Launch configuration attribute key.
`static final String`
`ATTR_APPLET_NAME`
Launch configuration attribute key.
`static final String`
`ATTR_APPLET_PARAMETERS`
Launch configuration attribute key.
`static final String`
`ATTR_APPLET_WIDTH`
Launch configuration attribute key.
`static final String`
`ATTR_BOOTPATH`
Attribute key for a VM specific argument.
`static final String`
`ATTR_BOOTPATH_APPEND`
Attribute key for a VM specific argument.
`static final String`
`ATTR_BOOTPATH_PREPEND`
Attribute key for a VM specific argument.
`static final String`
`ATTR_CLASSPATH`
Launch configuration attribute key.
`static final String`
`ATTR_CLASSPATH_PROVIDER`
Launch configuration attribute key.
`static final String`
`ATTR_CONNECT_MAP`
Launch configuration attribute key.
`static final String`
`ATTR_DEFAULT_CLASSPATH`
Launch configuration attribute key.
`static final String`
`ATTR_DEFAULT_MODULE_CLI_OPTIONS`
Launch configuration attribute key.
`static final String`
`ATTR_DEFAULT_SOURCE_PATH`
Launch configuration attribute key.
`static final String`
`ATTR_EXCLUDE_TEST_CODE`
Launch configuration attribute key.
`static final String`
`ATTR_JAVA_COMMAND`
Attribute key for VM specific attributes found in the `ATTR_VM_INSTALL_TYPE_SPECIFIC_ATTRS_MAP`.
`static final String`
`ATTR_JRE_CONTAINER_PATH`
Launch configuration attribute key.
`static final String`
`ATTR_MAIN_TYPE_NAME`
Launch configuration attribute key.
`static final String`
`ATTR_MODULE_CLI_OPTIONS`
Launch configuration attribute key.
`static final String`
`ATTR_MODULE_NAME`
Launch configuration attribute key.
`static final String`
`ATTR_MODULEPATH`
Launch configuration attribute key.
`static final String`
`ATTR_PROGRAM_ARGUMENTS`
Launch configuration attribute key.
`static final String`
`ATTR_PROJECT_NAME`
Launch configuration attribute key.
`static final String`
`ATTR_SHOW_CODEDETAILS_IN_EXCEPTION_MESSAGES`
Attribute key to improve the usability of NullPointerExceptions generated by the JVM by describing precisely which variable was null.
`static final String`
`ATTR_SOURCE_PATH`
Launch configuration attribute key.
`static final String`
`ATTR_SOURCE_PATH_PROVIDER`
Launch configuration attribute key.
`static final String`
`ATTR_SPECIAL_ADD_MODULES`
Launch configuration attribute key.
`static final String`
`ATTR_STOP_IN_MAIN`
Launch configuration attribute key.
`static final String`
`ATTR_USE_ARGFILE`
Attribute key to write arguments into an file when launching allowing an unlimited number of arguments.
`static final String`
`ATTR_USE_CLASSPATH_ONLY_JAR`
`static final String`
`ATTR_USE_START_ON_FIRST_THREAD`
Attribute key for a Mac OSX VM-specific argument.
`static final String`
`ATTR_VM_ARGUMENTS`
Launch configuration attribute key.
`static final String`
`ATTR_VM_CONNECTOR`
Launch configuration attribute key.
`static final String`
`ATTR_VM_INSTALL_NAME`
Deprecated.
use `ATTR_JRE_CONTAINER_PATH`
`static final String`
`ATTR_VM_INSTALL_TYPE`
Deprecated.
use `ATTR_JRE_CONTAINER_PATH`
`static final String`
`ATTR_VM_INSTALL_TYPE_SPECIFIC_ATTRS_MAP`
Launch configuration attribute key.
`static final String`
`ATTR_WORKING_DIRECTORY`
Launch configuration attribute key.
`static final String`
`DEFAULT_APPLETVIEWER_CLASS`
Default value for the 'ATTR_APPLET_APPLETVIEWER' attribute.
`static final int`
`DETAIL_CONFIG_READY_TO_ACCEPT_REMOTE_VM_CONNECTION`
Detail code for a custom debug event that is fired when a remote debug configuration with a standard socket listen connector is ready to accept connections from a remote VM.
`static final int`
`ERR_CLASSPATH_TOO_LONG`
`static final int`
`ERR_CONNECTION_FAILED`
Status code indicating that the debugger failed to connect to the VM.
`static final int`
`ERR_CONNECTOR_NOT_AVAILABLE`
Status code indicating that the JDI connector required for a debug launch was not available.
`static final int`
`ERR_COULD_NOT_BUILD_HTML`
Status code indicating that the .html file used to initiate an applet launch could not be built.
`static final int`
`ERR_INTERNAL_ERROR`
Status code indicating an unexpected internal error.
`static final int`
`ERR_INVALID_HOSTNAME`
Status code indicating a launch configuration has specified an invalid host name attribute
`static final int`
`ERR_INVALID_PORT`
Status code indicating a launch configuration has specified an invalid port number attribute
`static final int`
`ERR_NO_SOCKET_AVAILABLE`
Status code indicating that a free socket was not available to communicate with the VM.
`static final int`
`ERR_NOT_A_JAVA_PROJECT`
Status code indicating the project associated with a launch configuration is not a Java project.
`static final int`
`ERR_NOT_AN_APPLET`
Status code indicating that the applet launcher was asked to launch a resource that did not extend `java.applet.Applet`.
`static final int`
`ERR_PROJECT_CLOSED`
Status code indicating that the project referenced by a launch configuration is closed.
`static final int`
`ERR_REMOTE_VM_CONNECTION_FAILED`
Status code indicating an attempt to connect to a remote VM has failed or an attempt to listen for a remote VM connecting has failed.
`static final int`
`ERR_SHARED_MEMORY_CONNECTOR_UNAVAILABLE`
Status code indicating that the shared memory attach or listen connector could not be found.
`static final int`
`ERR_UNSPECIFIED_HOSTNAME`
Status code indicating a launch configuration does not specify a host name value
`static final int`
`ERR_UNSPECIFIED_LAUNCH_CONFIG`
Status code indicating that no launch configuration was specified.
`static final int`
`ERR_UNSPECIFIED_MAIN_TYPE`
Status code indicating a launch configuration does not specify a main type to launch.
`static final int`
`ERR_UNSPECIFIED_PORT`
Status code indicating a launch configuration does not specify a port number value
`static final int`
`ERR_UNSPECIFIED_PROJECT`
Status code indicating a launch configuration does not specify a project when a project is required.
`static final int`
`ERR_UNSPECIFIED_VM_INSTALL`
Status code indicating a launch configuration does not specify a VM Install
`static final int`
`ERR_UNSPECIFIED_VM_INSTALL_TYPE`
Status code indicating a launch configuration does not specify a VM Install Type.
`static final int`
`ERR_VM_CONNECT_TIMEOUT`
Status code indicating that a timeout has occurred waiting for the VM to connect with the debugger.
`static final int`
`ERR_VM_INSTALL_DOES_NOT_EXIST`
Status code indicating a launch configuration's VM install could not be found.
`static final int`
`ERR_VM_INSTALL_TYPE_DOES_NOT_EXIST`
Status code indicating a launch configuration's VM install type could not be found.
`static final int`
`ERR_VM_LAUNCH_ERROR`
Status code indicating that an error occurred launching a VM.
`static final int`
`ERR_VM_RUNNER_DOES_NOT_EXIST`
Status code indicating a VM runner could not be located for the VM install specified by a launch configuration.
`static final int`
`ERR_WORKING_DIRECTORY_DOES_NOT_EXIST`
Status code indicating the specified working directory does not exist.
`static final int`
`ERR_WORKING_DIRECTORY_NOT_SUPPORTED`
Status code indicating that the Eclipse runtime does not support launching a program with a working directory.
`static final String`
`ID_JAVA_APPLET`
Identifier for the Java Applet launch configuration type (value `"org.eclipse.jdt.launching.javaApplet"`).
`static final String`
`ID_JAVA_APPLICATION`
Identifier for the Local Java Application launch configuration type (value `"org.eclipse.jdt.launching.localJavaApplication"`).
`static final String`
`ID_JAVA_PROCESS_TYPE`
Identifier for the java process type, which is annotated on processes created by the local java application launch delegate.
`static final String`
`ID_REMOTE_JAVA_APPLICATION`
Identifier for the Remote Java Application launch configuration type (value `"org.eclipse.jdt.launching.remoteJavaApplication"`).
`static final String`
`ID_SOCKET_ATTACH_VM_CONNECTOR`
Identifier for the standard Socket Attaching VM connector (value `"org.eclipse.jdt.launching.socketAttachConnector"`).
`static final String`
`ID_SOCKET_LISTEN_VM_CONNECTOR`
Identifier for the standard Socket Listening VM connector (value `"org.eclipse.jdt.launching.socketListenConnector"`).

## Field Details

### ID_JAVA_APPLICATION

static final String ID_JAVA_APPLICATION
Identifier for the Local Java Application launch configuration type (value `"org.eclipse.jdt.launching.localJavaApplication"`).

### ID_REMOTE_JAVA_APPLICATION

static final String ID_REMOTE_JAVA_APPLICATION
Identifier for the Remote Java Application launch configuration type (value `"org.eclipse.jdt.launching.remoteJavaApplication"`).

### ID_JAVA_APPLET

static final String ID_JAVA_APPLET
Identifier for the Java Applet launch configuration type (value `"org.eclipse.jdt.launching.javaApplet"`).

### ID_SOCKET_ATTACH_VM_CONNECTOR

static final String ID_SOCKET_ATTACH_VM_CONNECTOR
Identifier for the standard Socket Attaching VM connector (value `"org.eclipse.jdt.launching.socketAttachConnector"`).

### ID_SOCKET_LISTEN_VM_CONNECTOR

static final String ID_SOCKET_LISTEN_VM_CONNECTOR
Identifier for the standard Socket Listening VM connector (value `"org.eclipse.jdt.launching.socketListenConnector"`).

Since:
  3.4

### ID_JAVA_PROCESS_TYPE

static final String ID_JAVA_PROCESS_TYPE
Identifier for the java process type, which is annotated on processes created by the local java application launch delegate. (value `"java"`).

See Also:
  - Constant Field Values

### ATTR_PROJECT_NAME

static final String ATTR_PROJECT_NAME
Launch configuration attribute key. The value is a name of a Java project associated with a Java launch configuration.

### ATTR_MAIN_TYPE_NAME

static final String ATTR_MAIN_TYPE_NAME
Launch configuration attribute key. The value is a fully qualified name of a main type to launch.

### ATTR_MODULE_NAME

static final String ATTR_MODULE_NAME
Launch configuration attribute key. The value is the module name for the main type to launch.

Since:
  3.17

### ATTR_STOP_IN_MAIN

static final String ATTR_STOP_IN_MAIN
Launch configuration attribute key. The value is a boolean specifying whether execution should stop when main is entered. The default value is `false`.

Since:
  2.1

### ATTR_PROGRAM_ARGUMENTS

static final String ATTR_PROGRAM_ARGUMENTS
Launch configuration attribute key. The value is a string specifying program arguments for a Java launch configuration, as they should appear on the command line.

### ATTR_VM_ARGUMENTS

static final String ATTR_VM_ARGUMENTS
Launch configuration attribute key. The value is a string specifying VM arguments for a Java launch configuration, as they should appear on the command line.

### ATTR_WORKING_DIRECTORY

static final String ATTR_WORKING_DIRECTORY
Launch configuration attribute key. The value is a string specifying a path to the working directory to use when launching a local VM. When specified as an absolute path, the path represents a path in the local file system. When specified as a full path, the path represents a workspace relative path. When unspecified, the working directory defaults to the project associated with a launch configuration. When no project is associated with a launch configuration, the working directory is inherited from the current process.

### ATTR_JRE_CONTAINER_PATH

static final String ATTR_JRE_CONTAINER_PATH
Launch configuration attribute key. The value is a path identifying the JRE used when launching a local VM. The path is a classpath container corresponding to the `JavaRuntime.JRE_CONTAINER` classpath container.

When unspecified the default JRE for a launch configuration is used (which is the JRE associated with the project being launched, or the workspace default JRE when no project is associated with a configuration). The default JRE classpath container refers explicitly to the workspace default JRE.

Since:
  3.2

### ATTR_VM_INSTALL_NAME

@Deprecated static final String ATTR_VM_INSTALL_NAME
Deprecated.
use `ATTR_JRE_CONTAINER_PATH`
Launch configuration attribute key. The value is a name of a VM install to use when launching a local VM. This attribute must be qualified by a VM install type, via the `ATTR_VM_INSTALL_TYPE` attribute. When unspecified, the default VM is used.

### ATTR_VM_INSTALL_TYPE

@Deprecated static final String ATTR_VM_INSTALL_TYPE
Deprecated.
use `ATTR_JRE_CONTAINER_PATH`
Launch configuration attribute key. The value is an identifier of a VM install type. Used in conjunction with a VM install name, to specify the VM to use when launching a local Java application. The associated VM install name is specified via the attribute `ATTR_VM_INSTALL_NAME`.

### ATTR_VM_INSTALL_TYPE_SPECIFIC_ATTRS_MAP

static final String ATTR_VM_INSTALL_TYPE_SPECIFIC_ATTRS_MAP
Launch configuration attribute key. The value is a Map of attributes specific to a particular VM install type, used when launching a local Java application. The map is passed to a `VMRunner` via a `VMRunnerConfiguration` when launching a VM. The attributes in the map are implementation dependent and are limited to String keys and values.

### ATTR_VM_CONNECTOR

static final String ATTR_VM_CONNECTOR
Launch configuration attribute key. The value is an identifier of a VM connector, specifying a connector to use when attaching to a remote VM.

### ATTR_CLASSPATH

static final String ATTR_CLASSPATH
Launch configuration attribute key. The attribute value is an ordered list of strings which are mementos for runtime class path entries. When unspecified, a default classpath is generated by the classpath provider associated with a launch configuration (via the `ATTR_CLASSPATH_PROVIDER` attribute).

### ATTR_MODULEPATH

static final String ATTR_MODULEPATH
Launch configuration attribute key. The attribute value is an ordered list of strings which are mementos for runtime module path entries. When unspecified, a default modulepath is generated by the dependency provider associated with a launch configuration (via the `ATTR_CLASSPATH_PROVIDER` attribute).

Since:
  3.10

### ATTR_DEFAULT_CLASSPATH

static final String ATTR_DEFAULT_CLASSPATH
Launch configuration attribute key. The value is a boolean specifying whether a default classpath should be used when launching a local Java application. When `false`, a classpath must be specified via the `ATTR_CLASSPATH` attribute. When `true` or unspecified, a classpath is computed by the classpath provider associated with a launch configuration.

### ATTR_DEFAULT_MODULE_CLI_OPTIONS

static final String ATTR_DEFAULT_MODULE_CLI_OPTIONS
Launch configuration attribute key. The value is a boolean specifying whether a default build path module cli options should be used when launching a local Java application. When `false`, a module cli option must be specified via the `ATTR_MODULE_CLI_OPTIONS` attribute. When `true` or unspecified, a classpath is computed by the classpath provider associated with a launch configuration.

Since:
  3.10

### ATTR_MODULE_CLI_OPTIONS

static final String ATTR_MODULE_CLI_OPTIONS
Launch configuration attribute key. The value is a string with module cli options if the default is not used for launching a local Java application.

Since:
  3.10

### ATTR_CLASSPATH_PROVIDER

static final String ATTR_CLASSPATH_PROVIDER
Launch configuration attribute key. The value is an identifier of a classpath provider extension used to compute the classpath for a launch configuration. When unspecified, the default classpath provider is used - `StandardClasspathProvider`.

### ATTR_SOURCE_PATH

static final String ATTR_SOURCE_PATH
Launch configuration attribute key. The value is an ordered list of strings which are mementos for associated runtime classpath entries interpreted as locations in which to look for source code. When unspecified, a default source lookup path is generated by the source path provider associated with a launch configurations (via the `ATTR_SOURCE_PATH_PROVIDER` attribute).

### ATTR_DEFAULT_SOURCE_PATH

static final String ATTR_DEFAULT_SOURCE_PATH
Launch configuration attribute key. The value is a boolean specifying whether a default source lookup path should be used. When `false` a source path must be specified via the `ATTR_SOURCE_PATH` attribute. When `true` or unspecified, a source lookup path is computed by the source path provider associated with a launch configuration.

### ATTR_SOURCE_PATH_PROVIDER

static final String ATTR_SOURCE_PATH_PROVIDER
Launch configuration attribute key. The value is an identifier of a source path provider extension used to compute the source lookup path for a launch configuration. When unspecified, the default source lookup path provider is used - `StandardSourcePathProvider`.

### ATTR_ALLOW_TERMINATE

static final String ATTR_ALLOW_TERMINATE
Launch configuration attribute key. The value is a boolean, indicating whether a VM will support/allow the terminate action. This attribute is used for remote debugging.

### ATTR_JAVA_COMMAND

static final String ATTR_JAVA_COMMAND
Attribute key for VM specific attributes found in the `ATTR_VM_INSTALL_TYPE_SPECIFIC_ATTRS_MAP`. The value is a String, indicating the String to use to invoke the JRE.

### ATTR_CONNECT_MAP

static final String ATTR_CONNECT_MAP
Launch configuration attribute key. The value is a map. Keys in the map correspond to arguments names returned by `IVMConnector#getDefaultArguments()`. Values are strings corresponding to the values to use when establishing a connection to a remote VM.

### ATTR_APPLET_WIDTH

static final String ATTR_APPLET_WIDTH
Launch configuration attribute key. The value is an integer indicating the width of the applet viewing area.

Since:
  2.1

### ATTR_APPLET_HEIGHT

static final String ATTR_APPLET_HEIGHT
Launch configuration attribute key. The value is an integer indicating the height of the applet viewing area.

Since:
  2.1

### ATTR_APPLET_NAME

static final String ATTR_APPLET_NAME
Launch configuration attribute key. The value is a String indicating the HTML name of the applet.

Since:
  2.1

### ATTR_APPLET_PARAMETERS

static final String ATTR_APPLET_PARAMETERS
Launch configuration attribute key. The value is a Map. Keys in the map represent applet parameter names and the values in the map are the corresponding parameter values

Since:
  2.1

### ATTR_APPLET_APPLETVIEWER_CLASS

static final String ATTR_APPLET_APPLETVIEWER_CLASS
Launch configuration attribute key. The value is a String indicating the fully qualified name of the applet viewer utility class to use.

Since:
  2.1

### ATTR_BOOTPATH_PREPEND

static final String ATTR_BOOTPATH_PREPEND
Attribute key for a VM specific argument. Value is an array of strings describing paths in the local file system that should be prepended to the bootpath, or `null` if none. The value is computed dynamically at launch time and placed in the VM specific arguments map by the Java application launch delegate.

Since:
  3.0

### ATTR_BOOTPATH

static final String ATTR_BOOTPATH
Attribute key for a VM specific argument. Value is an array of strings describing paths in the local file system that should be placed on the bootpath explicitly, or `null` if none. The value is computed dynamically at launch time and placed in the VM specific arguments map by the Java application launch delegate.

Since:
  3.0

### ATTR_BOOTPATH_APPEND

static final String ATTR_BOOTPATH_APPEND
Attribute key for a VM specific argument. Value is an array of strings describing paths in the local file system that should be appended to the bootpath, or `null` if none. The value is computed dynamically at launch time and placed in the VM specific arguments map by the Java application launch delegate.

Since:
  3.0

### ATTR_USE_START_ON_FIRST_THREAD

static final String ATTR_USE_START_ON_FIRST_THREAD
Attribute key for a Mac OSX VM-specific argument. Value is a boolean indicating if the `-XStartOnFirstThread` argument should be used when launching.

Since:
  3.7

### ATTR_SHOW_CODEDETAILS_IN_EXCEPTION_MESSAGES

static final String ATTR_SHOW_CODEDETAILS_IN_EXCEPTION_MESSAGES
Attribute key to improve the usability of NullPointerExceptions generated by the JVM by describing precisely which variable was null. Value is a boolean indicating if the `-XX:+ShowCodeDetailsInExceptionMessages` argument should be used when launching. Only valid for java > 14 see https://openjdk.java.net/jeps/358

Since:
  3.18

### ATTR_USE_ARGFILE

static final String ATTR_USE_ARGFILE
Attribute key to write arguments into an file when launching allowing an unlimited number of arguments. Only valid for java > 8 see https://bugs.java.com/bugdatabase/view_bug.do?bug_id=8027634

Since:
  3.19

### ATTR_EXCLUDE_TEST_CODE

static final String ATTR_EXCLUDE_TEST_CODE
Launch configuration attribute key. The value is a boolean specifying whether output folders corresponding to test sources should not be added to the runtime classpath and test dependencies should not be added to the default classpath.

Since:
  3.10

### ATTR_SPECIAL_ADD_MODULES

static final String ATTR_SPECIAL_ADD_MODULES
Launch configuration attribute key. When set, the JPMS option `--add-modules` will be added to the command line with the provided string value as the option's argument. This attribute is specifically designed to support the special arguments "ALL-DEFAULT", "ALL-SYSTEM", and "ALL-MODULE-PATH".

Since:
  3.16

### ATTR_USE_CLASSPATH_ONLY_JAR

static final String ATTR_USE_CLASSPATH_ONLY_JAR

Since:
  3.11

### ERR_UNSPECIFIED_PROJECT

static final int ERR_UNSPECIFIED_PROJECT
Status code indicating a launch configuration does not specify a project when a project is required.

See Also:
  - Constant Field Values

### ERR_UNSPECIFIED_MAIN_TYPE

static final int ERR_UNSPECIFIED_MAIN_TYPE
Status code indicating a launch configuration does not specify a main type to launch.

See Also:
  - Constant Field Values

### ERR_UNSPECIFIED_VM_INSTALL_TYPE

static final int ERR_UNSPECIFIED_VM_INSTALL_TYPE
Status code indicating a launch configuration does not specify a VM Install Type.

See Also:
  - Constant Field Values

### ERR_UNSPECIFIED_VM_INSTALL

static final int ERR_UNSPECIFIED_VM_INSTALL
Status code indicating a launch configuration does not specify a VM Install

See Also:
  - Constant Field Values

### ERR_VM_INSTALL_TYPE_DOES_NOT_EXIST

static final int ERR_VM_INSTALL_TYPE_DOES_NOT_EXIST
Status code indicating a launch configuration's VM install type could not be found.

See Also:
  - Constant Field Values

### ERR_VM_INSTALL_DOES_NOT_EXIST

static final int ERR_VM_INSTALL_DOES_NOT_EXIST
Status code indicating a launch configuration's VM install could not be found.

See Also:
  - Constant Field Values

### ERR_VM_RUNNER_DOES_NOT_EXIST

static final int ERR_VM_RUNNER_DOES_NOT_EXIST
Status code indicating a VM runner could not be located for the VM install specified by a launch configuration.

See Also:
  - Constant Field Values

### ERR_NOT_A_JAVA_PROJECT

static final int ERR_NOT_A_JAVA_PROJECT
Status code indicating the project associated with a launch configuration is not a Java project.

See Also:
  - Constant Field Values

### ERR_WORKING_DIRECTORY_DOES_NOT_EXIST

static final int ERR_WORKING_DIRECTORY_DOES_NOT_EXIST
Status code indicating the specified working directory does not exist.

See Also:
  - Constant Field Values

### ERR_UNSPECIFIED_HOSTNAME

static final int ERR_UNSPECIFIED_HOSTNAME
Status code indicating a launch configuration does not specify a host name value

See Also:
  - Constant Field Values

### ERR_INVALID_HOSTNAME

static final int ERR_INVALID_HOSTNAME
Status code indicating a launch configuration has specified an invalid host name attribute

See Also:
  - Constant Field Values

### ERR_UNSPECIFIED_PORT

static final int ERR_UNSPECIFIED_PORT
Status code indicating a launch configuration does not specify a port number value

See Also:
  - Constant Field Values

### ERR_INVALID_PORT

static final int ERR_INVALID_PORT
Status code indicating a launch configuration has specified an invalid port number attribute

See Also:
  - Constant Field Values

### ERR_REMOTE_VM_CONNECTION_FAILED

static final int ERR_REMOTE_VM_CONNECTION_FAILED
Status code indicating an attempt to connect to a remote VM has failed or an attempt to listen for a remote VM connecting has failed.

See Also:
  - Constant Field Values

### ERR_SHARED_MEMORY_CONNECTOR_UNAVAILABLE

static final int ERR_SHARED_MEMORY_CONNECTOR_UNAVAILABLE
Status code indicating that the shared memory attach or listen connector could not be found.

See Also:
  - Constant Field Values

### ERR_WORKING_DIRECTORY_NOT_SUPPORTED

static final int ERR_WORKING_DIRECTORY_NOT_SUPPORTED
Status code indicating that the Eclipse runtime does not support launching a program with a working directory. This feature is only available if Eclipse is run on a 1.3 runtime or higher.

A status handler may be registered for this error condition, and should return a Boolean indicating whether the program should be relaunched with the default working directory.

See Also:
  - Constant Field Values

### ERR_VM_LAUNCH_ERROR

static final int ERR_VM_LAUNCH_ERROR
Status code indicating that an error occurred launching a VM. The status error message is the text that the VM wrote to standard error before exiting.

See Also:
  - Constant Field Values

### ERR_VM_CONNECT_TIMEOUT

static final int ERR_VM_CONNECT_TIMEOUT
Status code indicating that a timeout has occurred waiting for the VM to connect with the debugger.

A status handler may be registered for this error condition, and should return a Boolean indicating whether the program should continue waiting for a connection for the associated timeout period.

See Also:
  - Constant Field Values

### ERR_NO_SOCKET_AVAILABLE

static final int ERR_NO_SOCKET_AVAILABLE
Status code indicating that a free socket was not available to communicate with the VM.

See Also:
  - Constant Field Values

### ERR_CONNECTOR_NOT_AVAILABLE

static final int ERR_CONNECTOR_NOT_AVAILABLE
Status code indicating that the JDI connector required for a debug launch was not available.

See Also:
  - Constant Field Values

### ERR_CONNECTION_FAILED

static final int ERR_CONNECTION_FAILED
Status code indicating that the debugger failed to connect to the VM.

See Also:
  - Constant Field Values

### ERR_NOT_AN_APPLET

static final int ERR_NOT_AN_APPLET
Status code indicating that the applet launcher was asked to launch a resource that did not extend `java.applet.Applet`.

Since:
  2.1
See Also:
  - Constant Field Values

### ERR_UNSPECIFIED_LAUNCH_CONFIG

static final int ERR_UNSPECIFIED_LAUNCH_CONFIG
Status code indicating that no launch configuration was specified.

Since:
  2.1
See Also:
  - Constant Field Values

### ERR_COULD_NOT_BUILD_HTML

static final int ERR_COULD_NOT_BUILD_HTML
Status code indicating that the .html file used to initiate an applet launch could not be built.

Since:
  2.1
See Also:
  - Constant Field Values

### ERR_PROJECT_CLOSED

static final int ERR_PROJECT_CLOSED
Status code indicating that the project referenced by a launch configuration is closed.

Since:
  3.0
See Also:
  - Constant Field Values

### ERR_CLASSPATH_TOO_LONG

static final int ERR_CLASSPATH_TOO_LONG

Since:
  3.11
See Also:
  - Constant Field Values

### ERR_INTERNAL_ERROR

static final int ERR_INTERNAL_ERROR
Status code indicating an unexpected internal error.

See Also:
  - Constant Field Values

### DEFAULT_APPLETVIEWER_CLASS

static final String DEFAULT_APPLETVIEWER_CLASS
Default value for the 'ATTR_APPLET_APPLETVIEWER' attribute.

Since:
  2.1
See Also:
  - Constant Field Values

### DETAIL_CONFIG_READY_TO_ACCEPT_REMOTE_VM_CONNECTION

static final int DETAIL_CONFIG_READY_TO_ACCEPT_REMOTE_VM_CONNECTION
Detail code for a custom debug event that is fired when a remote debug configuration with a standard socket listen connector is ready to accept connections from a remote VM.

Since:
  3.4
See Also:
  - `SocketListenConnector`
  - `SocketListenConnectorProcess`
  - Constant Field Values